python-tensorflow-cuda (1.15.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump bazel dependency, now wants >= 0.26.1~ and << 0.27~.
  * Split build targets so each Python version have a stamp to be able
    to rebuild without what has been done successfully already.
  * Bump python3-keras-applications >= 1.0.8~ build and runtime dependency.
  * Bump python3-gast >= 0.2.2~ runtime dependency.
  * Bump python3-protobuf >= 3.6.1~ runtime dependency.
  * Add python3-opt-einsum >= 2.3.2~ runtime dependency.
  * Add python3-wrapt >= 1.11.1 runtime dependency.
  * Fix debian/rules because most files have now moved in a tensorflow_core
    package.
  * Update Patch_so_loader_to_use_soabi_version, .so loading code has been
    duplicated somewhere else.
  * Add git build dependency (used to clone external libs).
  * Re-enable CUDA 9.1 support.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 03 Nov 2020 18:28:13 +0100

python-tensorflow-cuda (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * CUDA 9.2+ is now required.
  * Drop Build_with_CUDA_7.5 patch, useless.
  * Drop a lot of patches, merged upstream or superseeded by the new CUDA
    detection script.
  * Now wants bazel >= 0.24.1 and <= 0.25.2 for building.
  * Update minimum runtime dependency on python3-absl to >= 0.7.0~.
  * Add runtime dependency on python3-pasta >= 0.1.6~.
  * Drop Python expect based configure script and switch to environment
    variables.
  * Re-enable MPI on non-CUDA builds.
  * Modify create-cuda-tree.sh script because it needs new CUDA packages.
  * Disable TensorRT if version is too old by checking the availability
    of a specific function in headers.
  * Add upstream 498e35a3bfe38dd75cf1416a1a23c07c3b59e6af to fix error:
    identifier "CudaLaunchKernel" is undefined.
  * Add patch from upstream #25323 to workaround GCC 7.3.1 bug.

 -- Adam Cecile <acecile@le-vert.net>  Fri, 23 Oct 2020 22:49:52 +0200

python-tensorflow-cuda (1.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 21 Oct 2020 16:55:01 +0200

python-tensorflow-cuda (1.13.1-2) unstable; urgency=medium

  * Drop Python 2 packages.
  * Depends on cuda-toolchain-X.Y packages to workaround insane CUDA
    toolchain dependencies, by moving all this complexity in this package.
  * Fix debian/rules to take advance of new cuda-toolchain.mk definitions.
  * Use Debian provided packages for libmkl, drop mkldnn which is not used,
    it was only providing bits of real MKL packages.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 14 Apr 2020 23:36:33 +0200

python-tensorflow-cuda (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge upstream 15d49deb3c5d4048718af19a2e0e0279e8f204d5 to fix Eigen
    compilation error.
  * Call bazel build with --define grpc_no_ares=true to fix linking issue.
  * Force bazel 0.21, it's not working anymore with older and refuses 0.22.
  * Restore proper tensorboard dependency versions.
  * Do not delete .bazelrc file from sources root anymore.
  * Add dependencies on tensorflow-estimator Python packages, TensorFlow
    upstream created a circular dependency again so my repository provides
    a fake equivs-tensorflow-estimator package so tensorflow can be installed
    so real estimator packages can be built...
    without estimator to be able to build estimator package, YAY.
  * Build now depends on libnccl-dev >= 2, << 3.
  * Disable TensorRT on CUDA << 9.2, it's not building anymore on Ubuntu
    Bionic.
  * Add libcupti$CUDA_VER dependency, one tensorflow-estimator unittest fails
    if this library is missing.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 05 Mar 2019 11:08:55 +0100

python-tensorflow-cuda (1.13.0~rc2-1) unstable; urgency=medium

  * New upstream (rc) release supporting Python 3.7.
  * Modify the way TF_VERSION is computed to also strip ~rc2.
  * Temporary modify TENSORBOARD_{MIN,MAX}_VERSION to allow use of this
    rc version with TensorBoard 1.12.*.
  * Now requires bazel >= 0.19, << 0.22~ (lol again) to build.
  * Modify configure-expect.py to remove Apache Ignite, it has been
    removed (seriously TF, it was added with 1.12 lol).
  * Disable --config=opt, it looks not being supported anymore.
  * Add libc-ares-dev build dependency.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 20 Feb 2019 08:50:21 +0100

python-tensorflow-cuda (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete upstream merged patches:
    - fb8d1ca4eaefe58d42c27b6fc676f64f137f4675_FTBFS_with_GCC_7...
  * Refresh other patches.
  * Support Apache Ignite in configure-expect.py and enable it.
  * Disable jemalloc, not offered anymore by configure script.
  * Re-order everything for TF >= 1.12.0 in configure-expect.py, they
    changed order completely again.
  * Add build/runtime dependencies on keras-preprocessing and
    keras-applications.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 06 Feb 2019 14:05:45 +0100

python-tensorflow-cuda (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump protobuf dependency to >= 3.6.0~, it is indeed required.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 29 Jan 2019 20:23:15 +0100

python-tensorflow-cuda (1.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete upstream merged patches:
    - 3eb314bbcdc6e850eefc21c7ecbd91e28bd04a70_fix_old_CUDA_detection,
    -1b79572c2d47c1b7d82c670c27b9641335b7c025_fix_MPI_build.
  * Refresh Debug_logs_when_finding_tensorrt_lib patch.
  * Replace Amazon S3 with Amazon AWS in configure-expect.py.
  * Fix improper dependency generation for TensorBoard, minor version
    should always be 0.
  * Do not run configure-expect.py with --silent.
  * Want Bazel >= 0.15.0, let's force version 0.17.
  * Merge upstream fb8d1ca4eaefe58d42c27b6fc676f64f137f4675 to fix FTBFS.

 -- Adam Cecile <acecile@le-vert.net>  Fri, 25 Jan 2019 18:55:48 +0100

python-tensorflow-cuda (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Build with Intel MKL-DNN >= 0.17.2-1.
  * Delete upstream merged patches:
    - f506183dd148d97e3378eb994b2ac9c948ef0ada_builtin_expect_NVCC_build_failu,
    - e489b600f388ae345387881a85368af3cd373ba2_cuDNN_build_failure_with_GCC_6,
    - 5cd6a8d1edff984de5b8e08a579d96235137c38b_missing_MPI_include.
  * Add upstream 1b79572c2d47c1b7d82c670c27b9641335b7c025 to fix MPI build
    failure.
  * Fix automatic dependency version generator for TensorBoard
    (1.10.0 instead of 2.0.0).
  * Handle CUDA 9.2 built with GCC 7.4 for Debian Buster.

 -- Adam Cecile <acecile@le-vert.net>  Mon, 14 Jan 2019 20:32:30 +0100

python-tensorflow-cuda (1.8.0-2) unstable; urgency=medium

  * Rebuild with Intel MKL-DNN << 0.14~:
    Workaround https://github.com/tensorflow/tensorflow/issues/17494

 -- Adam Cecile <acecile@le-vert.net>  Thu, 15 Nov 2018 18:18:53 +0100

python-tensorflow-cuda (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Add pyhyon-enum34 to build dependencies.
  * Remove 116b9f34c3b3562192c69bbd045886c541cfffbc patch.
  * Add upstream e489b600f388ae345387881a85368af3cd373ba2 to fix cuDNN build
    failure with GCC 6.
  * Refresh others patches.
  * Update configure-expect.py:
    - Do not download up to date clang compiler,
    - Answer NVIDIA NCCL library version.

 -- Adam Cecile <acecile@le-vert.net>  Sat, 20 Oct 2018 15:58:47 +0200

python-tensorflow-cuda (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Generate proper numpy dependencies (on virual abi package).
  * Rewrite configure expect script using Python and create shell scripts
    to generate CUDA and MKL tree.
  * Refactor debian/rules.
  * Bump bazel build dep, wants >= 0.11.1, << 0.12 (others fail):
    https://github.com/tensorflow/tensorflow/issues/22527
  * Remove Fix_TensorRT_lib_version_detection patch.
  * Drop --config=tensorrt from bazel arguments, not needed anymore.
  * Does not build on Jessie/Xenial:
    https://github.com/tensorflow/tensorflow/issues/18039
  * Apply upstream 3eb314bbcdc6e850eefc21c7ecbd91e28bd04a70 to fix CUDA < 9
    detection.
  * Apply upstream f506183dd148d97e3378eb994b2ac9c948ef0ada to fix NVCC
    build failure with CUDA < 9.
  * Apply upstream 5cd6a8d1edff984de5b8e08a579d96235137c38b to fix MPI
    build failure. 
  * Remove Python 3.7 from PY3VER, not supported upstream for the moment.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 16 Oct 2018 14:16:25 +0200

python-tensorflow-cuda (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * New Python dependencies: astor (>= 0.6.0~), gast (>= 0.2.0~),
    grpcio (>= 1.8.6~) and termcolor (1.1.0~).
  * Remove Fix_error_no_matching_function_for_call_to_transform_build_error
    patch, merged upstream.
  * Enable Apache Kafka.
  * Enable NVIDIA TensorRT support on CUDA 8+ (add libnvinfer-dev build
    dependency).
  * Does not build on Jessie/Xenial:
    https://github.com/tensorflow/tensorflow/issues/18039

 -- Adam Cecile <acecile@le-vert.net>  Tue, 27 Mar 2018 22:24:11 +0200

python-tensorflow-cuda (1.5.1-1) unstable; urgency=medium

  * New upstream release (security fix).
  * Cosmetic changes in debian/rules to include CUDA version and compute
    level included in each build.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 27 Mar 2018 22:02:44 +0200

python-tensorflow-cuda (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Now built with libcudnn7 if CUDA >= 8.0.
  * Bump tensorboard dependencies >= 1.5.0~ and << 1.6.0~.
  * Refresh Build_with_CUDA_7.5 path (partially applied upstream).
  * Re-enable VERBS and OpenMPI support even CUDA is not enabled.
  * Minor adaptations of configure-expect.sh script for updated Bazel wizard. 
  * Print summary of build options when build starts.
  * Properly pass --jobs N to bazel according to DEB_BUILD_OPTIONS=parallel=N.
  * Make sure to build with libthrust-dev (>= 1.8.1) on Debian Jessie.
  * Add python-absl (>= 0.1.6~) runtime depdency.
  * Bump python-protobuf dependency to (>= 3.4.0).
  * Require gcc-6/g++-6 instead of 4.9 for newer distribs with CUDA >= 9.0.
  * Define compute level for CUDA 9.1 in debian/rules.
  * Define CUDACC/CUDACXX variables in debian/rules and pass them to
    configure-expect.sh using $::env(VAR).
  * Add python-enum34 dependency for python2 builds.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 06 Mar 2018 22:10:05 +0100

python-tensorflow-cuda (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge Matan Goldman's patch to fix build on CUDA 7.5.
    It does not means it's fully functional, but could be.
  * Relax build dependencies to allow CUDA 7.5.
  * Define available CUDA 9.0 compute levels (Debian Buster).

 -- Adam Cecile <acecile@le-vert.net>  Fri, 09 Feb 2018 21:35:46 +0100

python-tensorflow-cuda (1.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Refresh patches,
    - Drop Dont_use_locate_to_find_libdl.so.2 patch, not relevant anymore,
    - Now requires bazel 0.6.1 to build (minimum required is 0.5.4),
    - Modify configure-expect script to enable Amazon S3 (new), GDR (new),
      and XLA just-in-time compiler (not experimental anymore),
    - Add librdmacm-dev build dependency for GDR,
    - Re-order completely configure-expect script because TF upstream changed
      all options order AGAIN,
    - Export Intel MKL DNN folder as environment variable, it's not part
      of configure script anymore and create symlink for license.txt,
    - Make $HOME into a /tmp/temp.stg folder so bazel stops whining,
    - Disable MPI and VERBS on non-CUDA build, it seems to be unsupported.
  * Refactor debian/rules and debian/control to handle nocuda and nomkldnn
    build profiles.
  * Remove useless python wheel runtime dependencies.
  * Tensorflow now ships shared libs instead of monolithic Python/C module,
    these ones should not be renamed by dh_python* as they are not Python
    version dependent.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 21 Nov 2017 19:44:00 +0100

python-tensorflow-cuda (1.3.1-1) unstable; urgency=medium

  * New upstream release:
    - Drop Remove-github-mirror-of-protobuf-due-to-mismatched-sha256-sum
      patch.
  * Drop the weird "external" folder.
  * Disable OpenMPI in < 1.10 (Debian Jessie, FTBFS).

 -- Adam Cecile <acecile@nsc-srve.service.emergency.lu>  Thu, 28 Sep 2017 21:19:07 +0000

python-tensorflow-cuda (1.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Drop Fix_CUDA_7.x_build, merged upstream,
    - Build depends on OpenMPI and build conflicts on mpich and lam,
    - Build with MPI support by passing -DOMPI_SKIP_MPICXX=1,
    - Merge upstream 82bb560cf437ad47c8acdd010f143a7c8810f803 to avoid
      build failure due to github archives md5 mismatch,
    - Add -Wno-error=stringop-overflow to fix FTBFS on Debian Buster when
      building without CUDA (otherwise using GCC 4.9).
    - Add severals new workarounds because configure script is getting
      worse (mostly related to CUDA and sub-components detection),
    - Fix dependencies: tensorboard is now an external package,
    - Now rename Python C extentions (.so files) myself to support both
      Python 3.5 and 3.6 builds for Debian Buster \o/,
    - Make debian/rules simplier, using eval to define intermediate
      variables in targets,
    - Adapt list of Python dependencies, according to new setup.py.

 -- Adam Cecile <acecile@le-vert.net>  Thu, 21 Sep 2017 06:33:35 +0000

python-tensorflow-cuda (1.2.1-2) unstable; urgency=medium

  * Provide additional builds using Intel(R) Math Kernel Library
    for Deep Neural Networks.
    
 -- Adam Cecile <acecile@le-vert.net>  Fri, 15 Sep 2017 00:20:59 +0200

python-tensorflow-cuda (1.2.1-1) unstable; urgency=medium

  * Initial release.

 -- Adam Cecile <acecile@le-vert.net>  Thu, 03 Aug 2017 15:01:36 +0200
